<div class="modal-content" style="display: -webkit-inline-box;">
    <div class="modal-header">
        <h4 id="dialog-sizes-name1" class="modal-title pull-left">Parametri della Funzione  {{function.description}} </h4>
    </div>
    <div class="row">
        <div class="col">
            <app-alert [scope]="AlertScope.MODAL"></app-alert>
        </div>
    </div>
    <div class="modal-body">

        <div [hidden]="showList!=1">

            <div class="row">
                <div class="col" style="width: 100%; display: inline-block;">
                    <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" id="id{{functionCriteria.id}}"
                        class="row-border centered-datatables">

                    </table>
                    <br>
                </div>

            </div>
            <div class="modal-footer row">

                <div class="col">
                    <button (click)="close()" type="button"
                        class="btn btn-sm btn-danger size buttonCancel">Annulla</button>
                    <button class="btn btn-sm btn-success size buttonConfirm" (click)="insertswitch()">Nuovo
                        Parametro</button>
                </div>


            </div>

        </div>

        <div *ngIf="showList==2">

            <div class="modal-body">
                <form #insertFormRef="ngForm" name="myForm">

                    <div class="row">
                        <div class="col-md-3">
                            <label><strong>Nome: </strong></label>
                        </div>
                        <div class="col"
                            [ngClass]="{'has-error' : (nameRef.invalid && (nameRef.dirty || nameRef.touched))}">
                            <input type="text" class="form-control form-control-sm" maxlength="150"
                                [(ngModel)]="parameter.nameparam" name="nameparam" required #nameRef="ngModel">
                            <div *ngIf="(nameRef.invalid && (nameRef.dirty || nameRef.touched))"
                                class="validation-messages">
                                <div *ngIf="nameRef.errors.required; then requiredErr else invalidErr"> </div>
                                <ng-template #requiredErr>Campo obbligatorio </ng-template>
                                <ng-template #invalidErr>{{nameRef.errors.error}}</ng-template>
                            </div>
                        </div>

                    </div>
                    <br>
                    <div class="row">
                        <div class="col-md-3">
                            <label><strong>Descrizione: </strong></label>


                        </div>
                        <div class="col"
                            [ngClass]="{'has-error' : (descriptionRef.invalid && (descriptionRef.dirty || descriptionRef.touched))}">
                            <input type="text" class="form-control form-control-sm" maxlength="500"
                                [(ngModel)]="parameter.description" name="description" required
                                #descriptionRef="ngModel">
                            <div *ngIf="(descriptionRef.invalid && (descriptionRef.dirty || descriptionRef.touched))"
                                class="validation-messages">
                                <div *ngIf="descriptionRef.errors.required; then requiredErr else invalidErr"> </div>
                                <ng-template #requiredErr>Campo obbligatorio</ng-template>
                                <ng-template #invalidErr>{{descriptionRef.errors.error}}</ng-template>
                            </div>
                        </div>



                    </div>
                    <br>
                    <div class="row">
                        <div class="col-md-3">
                            <label><strong>Valore: </strong></label>
                        </div>
                        <div class="col"
                            [ngClass]="{'has-error' : (valueRef.invalid && (valueRef.dirty || valueRef.touched))}">
                            <input type="text" class="form-control form-control-sm" maxlength="150"
                                [(ngModel)]="parameter.value" name="value" required #valueRef="ngModel">
                            <div *ngIf="(valueRef.invalid && (valueRef.dirty || valueRef.touched))"
                                class="validation-messages">
                                <div *ngIf="valueRef.errors.required; then requiredErr else invalidErr"> </div>
                                <ng-template #requiredErr>Campo obbligatorio</ng-template>
                                <ng-template #invalidErr>{{valueRef.errors.error}}</ng-template>
                            </div>
                        </div>







                    </div>
                </form>
            </div>
            <div class="modal-footer row">
                <div class="col">
                    <button (click)="close()" type="button"
                        class="btn btn-sm btn-danger size buttonCancel">Annulla</button>
                    <button type="submit" class="btn btn-sm btn-success size buttonConfirm" (click)="toggleResults()"
                        [disabled]="!insertFormRef.valid">Salva</button>
                </div>



            </div>

        </div>

        <div *ngIf="showList==3">

            <div class="modal-body">
                <form #insertFormRef="ngForm" name="myForm">
                    <!--TODO centrare la form-->
                    <div class="row">

                        <div class="col-md-3">
                            <label><strong>Valore: </strong></label>
                        </div>
                        <div class="col"
                            [ngClass]="{'has-error' : (valueRef.invalid && (valueRef.dirty || valueRef.touched))}">
                            <input type="text" class="form-control form-control-sm" maxlength="150"
                                [(ngModel)]="parameter.value" name="value" required #valueRef="ngModel">
                            <div *ngIf="(valueRef.invalid && (valueRef.dirty || valueRef.touched))"
                                class="validation-messages">
                                <div *ngIf="valueRef.errors.required; then requiredErr else invalidErr"> </div>
                                <ng-template #requiredErr>Campo obbligatorio</ng-template>
                                <ng-template #invalidErr>{{valueRef.errors.error}}</ng-template>
                            </div>
                        </div>
                        <div class="col-md-1"></div>


                    </div>
                </form>
            </div>
            <div class="modal-footer row">
                <div class="col">
                    <button (click)="close()" type="button"
                        class="btn btn-sm btn-danger size buttonCancel">Annulla</button>
                    <button type="submit" class="btn btn-sm btn-success size buttonConfirm"
                        (click)="toggleResultsValue()" [disabled]="!insertFormRef.valid">Salva</button>
                </div>



            </div>
        </div>

    </div>

</div>